cost=0  ### treatment/disease cost ratio
m.x=50  ### dimension of biomarker used for identifying treatent-selection rule


library(kyotil)
library(glmnet)

### set the working directory
setwd("Rcode_CT")

######## read in Functions needed for W-RAMP and W-SVM
source(file="exampleFun.R")
#### read in the example training and testing data ##########
load(file="example.Rdata")

library(mvtnorm)

#### read in the training data and test data

#### generate weights that will be later used for computing WSRAMP-L1 estimator
    data.train<-calweights(data.train,cost=cost)

     ########################################

      beta.init0=c(-1,-1.5,-1.5,rep(0,48))
      beta.init0=beta.init0/max(abs(beta.init0))

     ### choose the double-robustness weight ####################
     varW='W4.f'
     data.train$W=data.train[,varW]

     formula.rts<-as.formula("yy~"%+%concatList("x"%+%1:m.x,"+"))

     data.train$W=data.train[,varW]

     lambdaS=0.05  ### set the tuning parameter

     ### estimating the treatment-selection rule based on the training data

     fit.srampl = SRAMP_lasso.W1 (formula.rts, dat=data.train, W=data.train$W, lambdaS=lambdaS*nrow(data.train),
             verbose=F,beta.init=beta.init0,maxit=500,epsilon=0.01)


     #### predicted score by applying the treatment-selection to test data
     pred.srampl<-predict.rtw2(fit.srampl, newdata=data.test, case.percentage = NULL)

     #### total burden estimated from the test data, applying the treatment-selection rule derived from the training data

     srampl.test=caltheta.weights(data.test$yy,data.test$TT,pred.srampl,data.test$weights,cost=cost)

     ### percent to be treated estimated from the test data, applying the treatment-selection rule derived from the training data

     percent.srampl=caltreat.weights(pred.srampl,data.test$weights)
